<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_gravity="center">

    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/background"
        android:gravity="center|top"
        android:orientation="vertical">

        <Button
            android:id="@+id/TestResult"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Complete Game" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="65dp"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/TimeText"
                android:layout_width="175dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="@string/timeText"
                android:textAlignment="viewEnd"
                android:textColor="#6C3BF3"
                android:textSize="34sp" />

            <TextView
                android:id="@+id/TimeNumber"
                android:layout_width="173dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:shadowColor="#000000"
                android:text="@string/timeNum"
                android:textAlignment="viewStart"
                android:textColor="#F62F3A"
                android:textSize="34sp" />

        </LinearLayout>

        <TableLayout
            android:layout_width="match_parent"
            android:layout_height="436dp">

            <TableRow
                android:id="@+id/row1"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="horizontal">

                <FrameLayout
                    android:id="@+id/card1"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_weight="1">

                    <ImageButton
                        android:id="@+id/card1button"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:backgroundTint="#00FFFFFF"
                        android:scaleX="0.75"
                        android:scaleY="0.75"
                        app:srcCompat="@drawable/bgblack"
                        tools:ignore="SpeakableTextPresentCheck" />

                    <ImageView
                        android:id="@+id/card1image"
                        android:layout_width="117dp"
                        android:layout_height="113dp"
                        android:layout_gravity="center"
                        app:srcCompat="@drawable/wind2" />

                </FrameLayout>

                <FrameLayout
                    android:id="@+id/card2"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_weight="1">

                    <ImageButton
                        android:id="@+id/card2button"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:backgroundTint="#00FFFFFF"
                        android:scaleX="0.75"
                        android:scaleY="0.75"
                        app:srcCompat="@drawable/bgblack"
                        tools:ignore="SpeakableTextPresentCheck" />

                    <ImageView
                        android:id="@+id/card2image"
                        android:layout_width="117dp"
                        android:layout_height="113dp"
                        android:layout_gravity="center"
                        app:srcCompat="@drawable/fire2" />

                </FrameLayout>

            </TableRow>

            <TableRow
                android:id="@+id/row2"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="horizontal">

                <FrameLayout
                    android:id="@+id/card3"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_weight="1">

                    <ImageButton
                        android:id="@+id/card3button"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:backgroundTint="#00FFFFFF"
                        android:scaleX="0.75"
                        android:scaleY="0.75"
                        app:srcCompat="@drawable/bgblack"
                        tools:ignore="SpeakableTextPresentCheck" />

                    <ImageView
                        android:id="@+id/card3image"
                        android:layout_width="117dp"
                        android:layout_height="113dp"
                        android:layout_gravity="center"
                        app:srcCompat="@drawable/water2" />

                </FrameLayout>

                <FrameLayout
                    android:id="@+id/card4"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_weight="1">

                    <ImageButton
                        android:id="@+id/card4button"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:backgroundTint="#00FFFFFF"
                        android:scaleX="0.75"
                        android:scaleY="0.75"
                        app:srcCompat="@drawable/bgblack"
                        tools:ignore="SpeakableTextPresentCheck" />

                    <ImageView
                        android:id="@+id/card4image"
                        android:layout_width="117dp"
                        android:layout_height="113dp"
                        android:layout_gravity="center"
                        app:srcCompat="@drawable/wind2" />

                </FrameLayout>

            </TableRow>

            <TableRow
                android:id="@+id/row3"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="horizontal">

                <FrameLayout
                    android:id="@+id/card5"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_weight="1">

                    <ImageButton
                        android:id="@+id/card5button"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:backgroundTint="#00FFFFFF"
                        android:scaleX="0.75"
                        android:scaleY="0.75"
                        app:srcCompat="@drawable/bgblack"
                        tools:ignore="SpeakableTextPresentCheck" />

                    <ImageView
                        android:id="@+id/card5image"
                        android:layout_width="117dp"
                        android:layout_height="113dp"
                        android:layout_gravity="center"
                        app:srcCompat="@drawable/fire2" />

                </FrameLayout>

                <FrameLayout
                    android:id="@+id/card6"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_weight="1">

                    <ImageButton
                        android:id="@+id/card6button"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:backgroundTint="#00FFFFFF"
                        android:scaleX="0.75"
                        android:scaleY="0.75"
                        app:srcCompat="@drawable/bgblack"
                        tools:ignore="SpeakableTextPresentCheck" />

                    <ImageView
                        android:id="@+id/card6image"
                        android:layout_width="117dp"
                        android:layout_height="113dp"
                        android:layout_gravity="center"
                        app:srcCompat="@drawable/water2" />

                </FrameLayout>

            </TableRow>

            <TableRow
                android:id="@+id/row4"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="horizontal">

                <FrameLayout
                    android:id="@+id/card7"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_weight="1">

                    <ImageButton
                        android:id="@+id/card7button"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:backgroundTint="#00FFFFFF"
                        android:scaleX="0.75"
                        android:scaleY="0.75"
                        app:srcCompat="@drawable/bgblack"
                        tools:ignore="SpeakableTextPresentCheck" />

                    <ImageView
                        android:id="@+id/card7image"
                        android:layout_width="117dp"
                        android:layout_height="113dp"
                        android:layout_gravity="center"
                        app:srcCompat="@drawable/earth2" />

                </FrameLayout>

                <FrameLayout
                    android:id="@+id/card8"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_weight="1">

                    <ImageButton
                        android:id="@+id/card8button"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:backgroundTint="#00FFFFFF"
                        android:scaleX="0.75"
                        android:scaleY="0.75"
                        app:srcCompat="@drawable/bgblack"
                        tools:ignore="SpeakableTextPresentCheck" />

                    <ImageView
                        android:id="@+id/card8image"
                        android:layout_width="117dp"
                        android:layout_height="113dp"
                        android:layout_gravity="center"
                        app:srcCompat="@drawable/earth2" />

                </FrameLayout>

            </TableRow>

        </TableLayout>

        <LinearLayout
            android:id="@+id/linearLayout2"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/MoveText"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:shadowColor="#000000"
                android:text="@string/moveText"
                android:textAlignment="viewEnd"
                android:textColor="#000000"
                android:textSize="34sp" />

            <TextView
                android:id="@+id/MoveNumber"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:shadowColor="#904C0F"
                android:text="@string/moveNum"
                android:textAlignment="viewStart"
                android:textColor="#000000"
                android:textSize="34sp" />

        </LinearLayout>

    </LinearLayout>

    <ImageButton
        android:id="@+id/PauseBtn"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:layout_marginEnd="16dp"
        android:layout_weight="1"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@android:drawable/ic_media_pause" />

</androidx.constraintlayout.widget.ConstraintLayout>